summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGregory Haynes <greg@greghaynes.net>2015-01-05 09:44:26 -0800
committerGregory Haynes <greg@greghaynes.net>2015-01-05 09:44:26 -0800
commitd338bce5870bb0063de294613dcde88657382c95 (patch)
tree178804fdff64cc930003109ed416dbe68a4cae6a
parentecd2e912b3afa70685bb131942c1b8e8c5b7d168 (diff)
Remove setuptools <8.0 pinning
This was added in If3300a6b1ef1c633fc339f884e9dab0d82bc0720 and should be removed now that the new setuptools version fixes our issues. Change-Id: I3ded4f83918d74ca91a8c7a4aede9ef4d1d7a489
Notes
Notes (review): Verified+2: Jenkins Code-Review+2: Chris Jones <cmsj@tenshu.net> Code-Review+2: Ben Nemec <openstack@nemebean.com> Workflow+1: Ben Nemec <openstack@nemebean.com> Submitted-by: Jenkins Submitted-at: Fri, 09 Jan 2015 17:35:47 +0000 Reviewed-on: https://review.openstack.org/145027 Project: openstack/tripleo-image-elements Branch: refs/heads/master
-rwxr-xr-xelements/heat-cfntools/install.d/05-heat-cfntools2
-rwxr-xr-xelements/openstack-clients/bin/install-openstack-client2
-rwxr-xr-xelements/os-svc-install/bin/os-svc-install2
-rwxr-xr-xelements/pip-and-virtualenv/install.d/get-pip-py-source-install/01-install-pip1
4 files changed, 3 insertions, 4 deletions
diff --git a/elements/heat-cfntools/install.d/05-heat-cfntools b/elements/heat-cfntools/install.d/05-heat-cfntools
index c9ba738..c281170 100755
--- a/elements/heat-cfntools/install.d/05-heat-cfntools
+++ b/elements/heat-cfntools/install.d/05-heat-cfntools
@@ -19,7 +19,7 @@ $VENV/bin/pip install -U pip
19 19
20# Need setuptools>=1.0 to manage connections when 20# Need setuptools>=1.0 to manage connections when
21# downloading from pypi using http_proxy and https_proxy 21# downloading from pypi using http_proxy and https_proxy
22$VENV/bin/pip install -U 'setuptools>=1.0,<8.0' 22$VENV/bin/pip install -U 'setuptools>=1.0'
23# bug #1293812 : Avoid easy_install triggering on pbr. 23# bug #1293812 : Avoid easy_install triggering on pbr.
24$VENV/bin/pip install -U 'pbr>=0.6,<1.0' 24$VENV/bin/pip install -U 'pbr>=0.6,<1.0'
25$VENV/bin/pip install -U heat-cfntools 25$VENV/bin/pip install -U heat-cfntools
diff --git a/elements/openstack-clients/bin/install-openstack-client b/elements/openstack-clients/bin/install-openstack-client
index eff974d..72f6dfb 100755
--- a/elements/openstack-clients/bin/install-openstack-client
+++ b/elements/openstack-clients/bin/install-openstack-client
@@ -62,7 +62,7 @@ if [ -n "$client_manifest" ]; then
62else 62else
63 # Need setuptools>=1.0 to manage connections when 63 # Need setuptools>=1.0 to manage connections when
64 # downloading from pypi using http_proxy and https_proxy 64 # downloading from pypi using http_proxy and https_proxy
65 pip install -U 'setuptools>=1.0,<8.0' 65 pip install -U 'setuptools>=1.0'
66 66
67 # bug #1293812 : Avoid easy_install triggering on pbr. 67 # bug #1293812 : Avoid easy_install triggering on pbr.
68 pip install -U 'pbr>=0.5.21,<1.0' 68 pip install -U 'pbr>=0.5.21,<1.0'
diff --git a/elements/os-svc-install/bin/os-svc-install b/elements/os-svc-install/bin/os-svc-install
index 905a414..80e90cf 100755
--- a/elements/os-svc-install/bin/os-svc-install
+++ b/elements/os-svc-install/bin/os-svc-install
@@ -35,7 +35,7 @@ function python_install() {
35 # doesn't manage correctly HTTPS sockets when downloading pbr from 35 # doesn't manage correctly HTTPS sockets when downloading pbr from
36 # https://pypi.python.org/simple/ if using http_proxy and 36 # https://pypi.python.org/simple/ if using http_proxy and
37 # https_proxy envvars 37 # https_proxy envvars
38 pip install -U 'setuptools>=1.0,<8.0' 38 pip install -U 'setuptools>=1.0'
39 39
40 # bug #1293812 : Avoid easy_install triggering on pbr. 40 # bug #1293812 : Avoid easy_install triggering on pbr.
41 pip install -U 'pbr>=0.5.21,<1.0' 41 pip install -U 'pbr>=0.5.21,<1.0'
diff --git a/elements/pip-and-virtualenv/install.d/get-pip-py-source-install/01-install-pip b/elements/pip-and-virtualenv/install.d/get-pip-py-source-install/01-install-pip
index f42baa0..ea3d5ed 100755
--- a/elements/pip-and-virtualenv/install.d/get-pip-py-source-install/01-install-pip
+++ b/elements/pip-and-virtualenv/install.d/get-pip-py-source-install/01-install-pip
@@ -3,5 +3,4 @@
3set -eux 3set -eux
4 4
5python /tmp/get-pip.py 5python /tmp/get-pip.py
6pip install -U 'setuptools<8.0'
7pip install virtualenv 6pip install virtualenv